
import { ToolsService } from './../../core/services/tools.service';
import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { BasicInfoComponent } from './basic-info/basic-info.component';
import { VersionComponent } from './version/version.component';
import { MonitorPointComponent } from './monitor-point/monitor-point.component';
import {RouterModule, Routes} from '@angular/router';
import { SharedModule } from '@shared/shared.module';
import { VersionService } from 'app/routes/devices/version/version.service';
import { Version } from '@angular/compiler/src/util';
import { _HttpClient } from '@delon/theme/services/http/http.client';
import { AddOrEditComponent } from './version/add-or-edit/add-or-edit.component';
import { PipeModule } from '@core/pipe/pipe.module';

const COMPONENTS_NOROUNT = [ AddOrEditComponent ];

const routes: Routes = [
  {
    path: '',
    children: [
      { path: 'basic', component: BasicInfoComponent },
      { path: 'version', component: VersionComponent },
      { path: 'monitor-point', component: MonitorPointComponent }
    ]
  }
];

@NgModule({
  imports: [
    //管道模块必须当前模块导入
    PipeModule,
    CommonModule,
    SharedModule,
    RouterModule.forChild(routes)
  ],
  declarations: [
    BasicInfoComponent,
    VersionComponent,
    MonitorPointComponent,
    ...COMPONENTS_NOROUNT,
    AddOrEditComponent
  ],
  providers: [ToolsService, VersionService, _HttpClient],
  entryComponents: COMPONENTS_NOROUNT
})
export class DevicesModule { }
